Bug 241957 - misc/shared-mime-info: OPTIONize NLS
Summary: misc/shared-mime-info: OPTIONize NLS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2019-11-13 20:11 UTC by Dmitry Marakasov
Modified: 2019-12-03 11:54 UTC (History)
0 users

See Also:
amdmi3: maintainer-feedback-


Attachments
Patch (8.36 KB, patch)
2019-11-13 20:11 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2019-11-13 20:11:58 UTC
Created attachment 209137 [details]
Patch

Optionize NLS for shared-mime-info: this would allow to free around to 2MB of space which is useful for VMs and embedded systems.

NB: It doesn't seem to properly handle --disable-nls, so it links gettext regardless.

% pkg info -ql shared-mime-info-1.10_1 | xargs ls -l | awk '$9~/LC_MESSAGES/{s+=$5}END{printf("%.2fMiB\n", s/1024.0/1024.0)}'
1.99MiB
Comment 1 Automation User 2019-11-28 00:10:40 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/99098331
Comment 2 commit-hook freebsd_committer 2019-12-03 11:54:18 UTC
A commit references this bug:

Author: amdmi3
Date: Tue Dec  3 11:53:43 UTC 2019
New revision: 518935
URL: https://svnweb.freebsd.org/changeset/ports/518935

Log:
  - OPTIONize NLS

  PR:		241957
  Submitted by:	amdmi3
  Approved by:	maintainer timeout (desktop, 2 weeks)

Changes:
  head/misc/shared-mime-info/Makefile
  head/misc/shared-mime-info/pkg-plist